Enregistrer le contact
/v1/mailboxes/{mailbox_id}/contactsEnregistre le nom et l'adresse du contact dans la boîte aux lettres sélectionnée. Si un contact avec le même email existe déjà, met à jour son nom sans créer de doublon.
Zones d’autorisation et d’accès · Erreurs et répétitions
Demande
curl -X POST 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/contacts' \ -H 'Authorization: Bearer <access_token>' \ -H 'Content-Type: application/json' \Possibilités
mailbox_idpathNécessairementintegerX-Customer-IDheader- Option 1
stringOption 2null
Corps de la demande · application/json
object
emailNécessairementstringnameNécessairementstringminLength: 1maxLength: 120
Les champs inconnus ne sont pas acceptés.
Réponses
200 Réponse réussie
application/json
object
idintegermailbox_idintegeremailstringnamestringcreated_atstringDate et heure en UTC. S'il n'y a pas de décalage, la valeur représente également UTC.
401 Connexion requise
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject
403 Pas d'accès
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject
404 Ressource introuvable
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject
409 Conflit d'État
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject
422 Erreur de validation
application/json
object
detailarrayÉléments du tableauobjectlocNécessairementarrayÉléments du tableauOption 1stringOption 2integermsgNécessairementstringtypeNécessairementstring
503 Indisponibilité temporaire
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject